<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('mrf', function (Blueprint $table) {
            $table->date('recommended_at')->nullable()->after('enabled');
            $table->date('endorsed_at')->nullable()->after('recommended_at');
            $table->date('denied_at')->nullable()->after('endorsed_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('mrf', function (Blueprint $table) {
            $table->dropColumn('recommended_at');
            $table->dropColumn('endorsed_at');
            $table->dropColumn('denied_at');
        });
    }
};
